Subject: SC 22 N 3302 - National Activity Report of the United Kingdom for 2000-2001

From: Matthew Deane <[email-masked]>
Date: Thu, 30 Aug 2001 09:48:41 -0400

ISO/IEC JTC 1/SC22
Programming languages, their environments and system software interfaces
Secretariat:  U.S.A.  (ANSI)
 
ISO/IEC JTC 1/SC22 N3302
 
TITLE:
National Activity Report of the United Kingdom for 2000-2001

DATE ASSIGNED:
2001-08-30
 
SOURCE:
UK National Body

BACKWARD POINTER:
N/A
 
DOCUMENT TYPE:
National Body Contribution

PROJECT NUMBER:
N/A
 
STATUS:
This document will be reviewed at the upcoming SC 22 Plenary under Agenda
Item 7.2 pending the approval of its addition to the agenda.

ACTION IDENTIFIER:
FYI
 
DUE DATE:
  
DISTRIBUTION:
Text

CROSS REFERENCE:
 
DISTRIBUTION FORM:
Def
 
Address reply to:
ISO/IEC JTC 1/SC22 Secretariat
Matt Deane
ANSI
25 West 43rd Street
New York, NY  10036
Telephone:  (212) 642-4992
Fax:             (212) 840-2298
Email:  [email-masked]

_______end of cover page, beginning of report____________

UK National Body activity report
September 2000 - August 2001
The UK participant committee for SC22 is BSI IST/5, Programming Languages.
Technical work 
Almost all of the technical work of IST/5 is in relation to SC22 projects,
and it maintains technical panels which co-ordinate the UK contribution to
the SC22 WGs in which the UK is active. These panels advise IST/5 on matters
such as letter ballots. 
In addition the UK provides the secretariat and convenor for WG5 (Fortran)
and also WG19 (Formal Specification Languages). The UK also provides the
Project Editors for the two Fortran Technical reports and part of the
Fortran Standard, Pascal, PCTE, Prolog, VDM, Z and Extended BNF as well as
the Lead Rapporteur for WG15's Rapporteur Group on Revising POSIX.
The UK is active in, and maintain panels for - WG4 (COBOL), WG5 (Fortran),
WG9 (Ada), WG11 (Bindings), WG14 (C), WG15 (POSIX), WG16 (Lisp), WG19
(Formal Specification Languages) for both VDM-SL and for Z, WG 20
(Internationalisation) and WG21 (C++). The Java panel is no longer active.
In the past year the UK has hosted meetings for SC22/WG5 (Fortran) and
SC22/WG19 (Formal Specification Languages). 
Concerns 
Active participation continues to be a concern to the UK, especially of
cross-language groups such as WG11 and WG20.

The situation with regard to the revised BSI membership scheme has now
stabilised and no further loss of panels or members is now expected.
Working Group Convenors
The UK is pleased to support the appointment of Roger Scowen as Convenor of
WG19 (Formal Specification Languages) and also as Project Editor for
Extended BNF.